Archive external account
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.EmptyResponse"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}All External Accounts
Archive external account
Archives an external account for a business. This action will prevent the account from syncing new transactions and will remove the account from the Layer dashboard. Past synced transactions will remain.
POST
/
v1
/
businesses
/
{businessId}
/
external-accounts
/
{externalAccountId}
/
archive
Archive external account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to archive external account for.
The UUID of the external account to archive.
Response
External account archived successfully.
Show child attributes
Show child attributes
⌘I